Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.spring
Class ServiceBean

    java.lang.Object
      org.codehaus.xfire.spring.ServiceBean

All Implemented Interfaces:
  org.springframework.beans.factory.BeanNameAware, org.springframework.beans.factory.InitializingBean

Direct Known Subclasses:
  XFireExporter

    public class ServiceBean

extends java.lang.Object
implements org.springframework.beans.factory.InitializingBean, org.springframework.beans.factory.BeanNameAware

A convenience bean which creates a Service from a ServiceFactory instance. Alternatively, the Jsr181BeanPostProcessor may be used.

Author:
  Dan Diephouse , Arjen Poutsma
See Also:
  `Service`, `Jsr181BeanPostProcessor`

Constructor Summary
`ServiceBean()`

Method Summary
`void` | `afterPropertiesSet()`
`java.util.List` | `getFaultHandlers()`
`java.util.List` | `getInHandlers()`
`java.util.List` | `getOutHandlers()`
`protected java.lang.Object` | `getProxyForService()`
`java.lang.Object` | `getService()`
`java.lang.Class` | `getServiceInterface()`
`XFire` | `getXfire()`
`Service` | `getXFireService()`
`void` | `setBeanName(java.lang.String beanName)`
`void` | `setFaultHandlers(java.util.List faultHandlers)`
`void` | `setInHandlers(java.util.List inHandlers)`
`void` | `setName(java.lang.String name)` Sets the service name.
`void` | `setNamespace(java.lang.String namespace)` Sets the service default namespace.
`void` | `setOutHandlers(java.util.List outHandlers)`
`void` | `setService(java.lang.Object service)`
`void` | `setServiceFactory(ServiceFactory serviceFactory)`
`void` | `setServiceInterface(java.lang.Class serviceInterface)`
`void` | `setXfire(XFire xFire)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceBean

    public ServiceBean()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws java.lang.Exception

  Specified by:
    `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
  Throws:
    `java.lang.Exception`

### getProxyForService

    protected java.lang.Object getProxyForService()

### getXFireService

    public Service getXFireService()

### getService

    public java.lang.Object getService()

### setService

    public void setService(java.lang.Object service)

### getServiceInterface

    public java.lang.Class getServiceInterface()

### setServiceInterface

    public void setServiceInterface(java.lang.Class serviceInterface)

### setServiceFactory

    public void setServiceFactory(ServiceFactory serviceFactory)

### setXfire

    public void setXfire(XFire xFire)

### getXfire

    public XFire getXfire()

### setName

    public void setName(java.lang.String name)

  Sets the service name. Default is the bean name of this exporter.

### setNamespace

    public void setNamespace(java.lang.String namespace)

  Sets the service default namespace. Default is a namespace based on the package of the `service interface`.

### setBeanName

    public void setBeanName(java.lang.String beanName)

  Specified by:
    `setBeanName` in interface `org.springframework.beans.factory.BeanNameAware`

### getFaultHandlers

    public java.util.List getFaultHandlers()

### setFaultHandlers

    public void setFaultHandlers(java.util.List faultHandlers)

### getInHandlers

    public java.util.List getInHandlers()

### setInHandlers

    public void setInHandlers(java.util.List inHandlers)

### getOutHandlers

    public java.util.List getOutHandlers()

### setOutHandlers

    public void setOutHandlers(java.util.List outHandlers)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.